Skip to main content
POST
/
associations
/
relations
Create Relation for you associated entities.
curl --request POST \
  --url https://services.leadconnectorhq.com/associations/relations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "locationId": "clF1LD04GTUKN3b3XuOj",
  "associationId": "ve9EPM428h8vShlRW1KT",
  "firstRecordId": "ve9EPM428h8vShlRW1KT",
  "secondRecordId": "ve9EPM428h8vShlRW1KT"
}
'
{
  "locationId": "string",
  "id": "ve9EPM428h8vShlRW1KT",
  "key": "student",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact",
  "associationType": "USER_DEFINED"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
locationId
string
required

Your Sub Account's ID

Example:

"clF1LD04GTUKN3b3XuOj"

associationId
string
required

Association's Id

Example:

"ve9EPM428h8vShlRW1KT"

firstRecordId
string
required

First Record's Id. For instance, if you have an association between a contact and a custom object, and you specify the contact as the first object while creating the association, then your firstRecordId would be the contactId

Example:

"ve9EPM428h8vShlRW1KT"

secondRecordId
string
required

Second Record's Id.For instance, if you have an association between a contact and a custom object, and you specify the custom object as the second entity while creating the association, then your secondRecordId would be the customObject record Id

Example:

"ve9EPM428h8vShlRW1KT"

Response

Successful response

locationId
string
required
Example:

"string"

id
string
required
Example:

"ve9EPM428h8vShlRW1KT"

key
string
required

First Objects Association Label (custom_objects.children)

Example:

"student"

firstObjectLabel
string
required

First Objects Association Label (custom_objects.children)

Example:

"student"

firstObjectKey
string
required

First Objects Key

Example:

"custom_objects.children"

secondObjectLabel
string
required

Second Object Association Label (contact)

Example:

"Teacher"

secondObjectKey
string
required

Second Objects Key

Example:

"contact"

associationType
string
required

Association Type can be USER_DEFINED or SYSTEM_DEFINED

Example:

"USER_DEFINED"

Last modified on March 4, 2026